Subject: [Dhcpv6bis] What about adding this flow diagram to bis document?

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 6 Mar 2017 04:37:26 +0000

Hi:

What do people think about adding the attached (so that spacing isn't mangled in the email) diagram (basically "stolen" from RFC 2131 but modified for DHCPv6 and extended) to the BIS document?

Two possible places to locate this:

-          In section 5 (perhaps as a new 5.4 section - Example Client-server Exchanges)

-          In in 18.0 - perhaps after the 2nd to last paragraph?

   If the server responds with an Advertise message, the client
   initiates a configuration exchange as described in Section 18.2.2.

It might need to move around a bit to accommodate spacing, but we can refer to the diagram somewhere in this text.

Note that the diagram will likely need to be split into two as it won't fit on a single RFC page the way it is now. And it may be appropriate to split it at after the "Initialization complete".

If added to 18.0, we could even spread the parts of the diagram across the various sections (put renew in Renew text, Release in Release), but I think it would be better just to have it all in one?

-          Bernie

---

From: Timothy Winters <[email-masked]>
Date: Mon, 6 Mar 2017 19:09:53 -0500

Hi Bernie,

I think this might be helpful tool in particular to engineers who don't
read RFCs on the daily basis.   I think a new part of Section 5 would make
a lot of sense.

~Tim

On Sun, Mar 5, 2017 at 11:37 PM, Bernie Volz (volz) <[email-masked]> wrote:

> Hi:
>
>
>
> What do people think about adding the attached (so that spacing isn’t
> mangled in the email) diagram (basically “stolen” from RFC 2131 but
> modified for DHCPv6 and extended) to the BIS document?
>
>
>
> -          In section 5 (perhaps as a new 5.4 section – Example
> Client-server Exchanges)
>
> -          In in 18.0 – perhaps after the 2nd to last paragraph?
>
>
>
> It might need to move around a bit to accommodate spacing, but we can
> refer to the diagram somewhere in this text.
>
>
>
> Note that the diagram will likely need to be split into two as it won’t
> fit on a single RFC page the way it is now. And it may be appropriate to
> split it at after the “Initialization complete”.
>
>
>
> If added to 18.0, we could even spread the parts of the diagram across the
> various sections (put renew in Renew text, Release in Release), but I think
> it would be better just to have it all in one?
>
>
>
> -          Bernie
>
> _______________________________________________
> Dhcpv6bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcpv6bis
>
>

-- 

Now offering testing for SDN applications and controllers in our SDN switch
test bed. Learn more today http://bit.ly/SDN_IOLPR